Package org.apache.struts2.util.finder

# Class ClassLoaderInterfaceDelegate

java.lang.Object
org.apache.struts2.util.finder.ClassLoaderInterfaceDelegate

All Implemented Interfaces:
  `ClassLoaderInterface`

public class ClassLoaderInterfaceDelegate extends Object implements ClassLoaderInterface
Default implementation of ClassLoaderInterface, which delegates to an actual ClassLoader

- ## Field Summary

  ### Fields inherited from interface org.apache.struts2.util.finder.ClassLoaderInterface

  `CLASS_LOADER_INTERFACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassLoaderInterfaceDelegate(ClassLoader classLoader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassLoaderInterface`
  `getParent()`
  `URL`
  `getResource(String className)`
  `InputStream`
  `getResourceAsStream(String name)`
  `Enumeration<URL>`
  `getResources(String name)`
  `Class<?>`
  `loadClass(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassLoaderInterfaceDelegate

    public ClassLoaderInterfaceDelegate(ClassLoader classLoader)

- ## Method Details

  - ### loadClass

    public Class<?> loadClass(String name) throws ClassNotFoundException
    Specified by:
      `loadClass` in interface `ClassLoaderInterface`
    Throws:
      `ClassNotFoundException`

  - ### getResource

    public URL getResource(String className)
    Specified by:
      `getResource` in interface `ClassLoaderInterface`

  - ### getResources

    public Enumeration<URL> getResources(String name) throws IOException
    Specified by:
      `getResources` in interface `ClassLoaderInterface`
    Throws:
      `IOException`

  - ### getResourceAsStream

    public InputStream getResourceAsStream(String name)
    Specified by:
      `getResourceAsStream` in interface `ClassLoaderInterface`

  - ### getParent

    public ClassLoaderInterface getParent()
    Specified by:
      `getParent` in interface `ClassLoaderInterface`